---

#! /zdci/db/releases/20250823174018/lkp-src/jobs/kernel-selftests-ftrace.yaml
suite: kernel-selftests-bpf
testcase: kernel-selftests-bpf
category: functional
kernel-selftests-bpf:
  group: ftrace
job_origin: kernel-selftests-ftrace.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-skl-d08
tbox_group: lkp-skl-d08
job_file: "/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-bpf-ftrace-debian-12-x86_64-20240206.cgz-cebdd2c9a622-20250829-155383-2x2e9p-1.yaml"
id: 6394305cacee27478fbf5f88feb085ad67784045
queuer_version: "/zdci/src/lkp"

#! /zdci/db/releases/20250823174018/lkp-src/hosts/lkp-skl-d08
model: Skylake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 3
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NC1P0B-part*"
rootfs_partition: "/dev/disk/by-id/ata-CT500MX500SSD1_2043E4BD593B-part3"
brand: Intel(R) Core(TM) i9-9980XE CPU @ 3.00GHz
netconsole_port: 6682
ucode: '0x2007006'

#! /zdci/db/releases/20250823174018/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20250823174018/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20250823174018/lkp-src/include/queue/cyclic
commit: cebdd2c9a622becc41349f32ace1795d750beda8

#! /zdci/db/releases/20250823174018/lkp-src/programs/kernel-selftests-bpf/include
need_kconfig:
- RUNTIME_TESTING_MENU: "y"
- FTRACE: "y"
- KPROBES: "y"
- FUNCTION_PROFILER: "y"
- TRACER_SNAPSHOT: "y"
- STACK_TRACER: "y"
- HIST_TRIGGERS: "y"
- SCHED_TRACER: "y"
- IRQSOFF_TRACER: "y"
- PREEMPTIRQ_DELAY_TEST: m
- MODULES: "y"
- MODULE_UNLOAD: "y"
- SAMPLES: "y"
- SAMPLE_FTRACE_DIRECT: m
- SAMPLE_TRACE_PRINTK: m
- KALLSYMS_ALL: "y"
- PROBE_EVENTS_BTF_ARGS: "y"
- FUNCTION_GRAPH_RETVAL: "y"
- FUNCTION_GRAPH_TRACER: "y"
- DEBUG_INFO_BTF: y, x86_64
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-9.4-bpf
enqueue_time: 2025-08-29 17:06:55.502253032 +08:00
_rt: "/result/kernel-selftests-bpf/ftrace/lkp-skl-d08/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/cebdd2c9a622becc41349f32ace1795d750beda8"
compiler: gcc-12
head_commit: f9b079ea86ab0bd7b69bac110919bf5c5e3e9fb2
base_commit: 1b237f190eb3d36f52dffe07a40b5eb210280e00
branch: linux-devel/devel-hourly-20250826-084506
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/src"
arch: x86_64
max_uptime: 36000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests-bpf/ftrace/lkp-skl-d08/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/cebdd2c9a622becc41349f32ace1795d750beda8/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/cebdd2c9a622becc41349f32ace1795d750beda8/vmlinuz-6.17.0-rc1-00005-gcebdd2c9a622
- branch=linux-devel/devel-hourly-20250826-084506
- job=/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-bpf-ftrace-debian-12-x86_64-20240206.cgz-cebdd2c9a622-20250829-155383-2x2e9p-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-bpf
- commit=cebdd2c9a622becc41349f32ace1795d750beda8
- intremap=posted_msi
- max_uptime=36000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/cebdd2c9a622becc41349f32ace1795d750beda8/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/cebdd2c9a622becc41349f32ace1795d750beda8/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/cebdd2c9a622becc41349f32ace1795d750beda8/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20250628.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20250824.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-1b237f190eb3-1_20250824.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250826153447/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-bpf-ftrace-debian-12-x86_64-20240206.cgz-cebdd2c9a622-20250829-155383-2x2e9p-1.cgz"
last_kernel: 6.17.0-rc3-wt-ath-ath12k-ng-09167-g4996cad240e4
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/cebdd2c9a622becc41349f32ace1795d750beda8/vmlinuz-6.17.0-rc1-00005-gcebdd2c9a622"
result_root: "/result/kernel-selftests-bpf/ftrace/lkp-skl-d08/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/cebdd2c9a622becc41349f32ace1795d750beda8/0"
user: lkp

#! /zdci/db/releases/20250829125821/lkp-src/include/site/shz
dequeue_time: 2025-08-29 17:41:31.761787150 +08:00
job_state: finished
loadavg: 2.68 3.03 1.72 3/410 9135
start_time: '1756460947'
end_time: '1756461314'
version: "/lkp/lkp/.src-20250829-124424:5c95d29a6938-dirty:164a6f553afa-dirty"
